org.wildfly.swarm.config.undertow

## Class Server<T extends Server<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.Server<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Server<T extends Server<T>>
      extends HashMap

  A server
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Server.ServerResources` Child mutators for Server

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `ajpListener(AJPListener value)` Add the AJPListener object to the list of subresources
    `T` | `ajpListener(AJPListenerSupplier supplier)` Install a supplied AJPListener object to the list of subresources
    `T` | `ajpListener(String childKey)` Create and configure a AJPListener object to the list of subresources
    `T` | `ajpListener(String childKey, AJPListenerConsumer consumer)` Create and configure a AJPListener object to the list of subresources
    `T` | `ajpListeners(List<AJPListener> value)` Add all AJPListener objects to this subresource
    `String` | `defaultHost()` The servers default virtual host
    `T` | `defaultHost(String value)` The servers default virtual host
    `String` | `getKey()`
    `T` | `host(Host value)` Add the Host object to the list of subresources
    `T` | `host(HostSupplier supplier)` Install a supplied Host object to the list of subresources
    `T` | `host(String childKey)` Create and configure a Host object to the list of subresources
    `T` | `host(String childKey, HostConsumer consumer)` Create and configure a Host object to the list of subresources
    `T` | `hosts(List<Host> value)` Add all Host objects to this subresource
    `T` | `httpListener(HTTPListener value)` Add the HTTPListener object to the list of subresources
    `T` | `httpListener(HTTPListenerSupplier supplier)` Install a supplied HTTPListener object to the list of subresources
    `T` | `httpListener(String childKey)` Create and configure a HTTPListener object to the list of subresources
    `T` | `httpListener(String childKey, HTTPListenerConsumer consumer)` Create and configure a HTTPListener object to the list of subresources
    `T` | `httpListeners(List<HTTPListener> value)` Add all HTTPListener objects to this subresource
    `T` | `httpsListener(HttpsListener value)` Add the HttpsListener object to the list of subresources
    `T` | `httpsListener(HttpsListenerSupplier supplier)` Install a supplied HttpsListener object to the list of subresources
    `T` | `httpsListener(String childKey)` Create and configure a HttpsListener object to the list of subresources
    `T` | `httpsListener(String childKey, HttpsListenerConsumer consumer)` Create and configure a HttpsListener object to the list of subresources
    `T` | `httpsListeners(List<HttpsListener> value)` Add all HttpsListener objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `servletContainer()` The servers default servlet container
    `T` | `servletContainer(String value)` The servers default servlet container
    `Server.ServerResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Server

          public Server(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Server.ServerResources subresources()

    - #### hosts

          public T hosts(List<Host> value)

      Add all Host objects to this subresource
      Parameters:
        `value` - List of Host objects.
      Returns:
        this

    - #### host

          public T host(Host value)

      Add the Host object to the list of subresources
      Parameters:
        `value` - The Host to add
      Returns:
        this

    - #### host

          public T host(String childKey,
                        HostConsumer consumer)

      Create and configure a Host object to the list of subresources
      Parameters:
        `key` - The key for the Host resource
        `config` - The HostConsumer to use
      Returns:
        this

    - #### host

          public T host(String childKey)

      Create and configure a Host object to the list of subresources
      Parameters:
        `key` - The key for the Host resource
      Returns:
        this

    - #### host

          public T host(HostSupplier supplier)

      Install a supplied Host object to the list of subresources

    - #### httpListeners

          public T httpListeners(List<HTTPListener> value)

      Add all HTTPListener objects to this subresource
      Parameters:
        `value` - List of HTTPListener objects.
      Returns:
        this

    - #### httpListener

          public T httpListener(HTTPListener value)

      Add the HTTPListener object to the list of subresources
      Parameters:
        `value` - The HTTPListener to add
      Returns:
        this

    - #### httpListener

          public T httpListener(String childKey,
                                HTTPListenerConsumer consumer)

      Create and configure a HTTPListener object to the list of subresources
      Parameters:
        `key` - The key for the HTTPListener resource
        `config` - The HTTPListenerConsumer to use
      Returns:
        this

    - #### httpListener

          public T httpListener(String childKey)

      Create and configure a HTTPListener object to the list of subresources
      Parameters:
        `key` - The key for the HTTPListener resource
      Returns:
        this

    - #### httpListener

          public T httpListener(HTTPListenerSupplier supplier)

      Install a supplied HTTPListener object to the list of subresources

    - #### ajpListeners

          public T ajpListeners(List<AJPListener> value)

      Add all AJPListener objects to this subresource
      Parameters:
        `value` - List of AJPListener objects.
      Returns:
        this

    - #### ajpListener

          public T ajpListener(AJPListener value)

      Add the AJPListener object to the list of subresources
      Parameters:
        `value` - The AJPListener to add
      Returns:
        this

    - #### ajpListener

          public T ajpListener(String childKey,
                               AJPListenerConsumer consumer)

      Create and configure a AJPListener object to the list of subresources
      Parameters:
        `key` - The key for the AJPListener resource
        `config` - The AJPListenerConsumer to use
      Returns:
        this

    - #### ajpListener

          public T ajpListener(String childKey)

      Create and configure a AJPListener object to the list of subresources
      Parameters:
        `key` - The key for the AJPListener resource
      Returns:
        this

    - #### ajpListener

          public T ajpListener(AJPListenerSupplier supplier)

      Install a supplied AJPListener object to the list of subresources

    - #### httpsListeners

          public T httpsListeners(List<HttpsListener> value)

      Add all HttpsListener objects to this subresource
      Parameters:
        `value` - List of HttpsListener objects.
      Returns:
        this

    - #### httpsListener

          public T httpsListener(HttpsListener value)

      Add the HttpsListener object to the list of subresources
      Parameters:
        `value` - The HttpsListener to add
      Returns:
        this

    - #### httpsListener

          public T httpsListener(String childKey,
                                 HttpsListenerConsumer consumer)

      Create and configure a HttpsListener object to the list of subresources
      Parameters:
        `key` - The key for the HttpsListener resource
        `config` - The HttpsListenerConsumer to use
      Returns:
        this

    - #### httpsListener

          public T httpsListener(String childKey)

      Create and configure a HttpsListener object to the list of subresources
      Parameters:
        `key` - The key for the HttpsListener resource
      Returns:
        this

    - #### httpsListener

          public T httpsListener(HttpsListenerSupplier supplier)

      Install a supplied HttpsListener object to the list of subresources

    - #### defaultHost

          public String defaultHost()

      The servers default virtual host

    - #### defaultHost

          public T defaultHost(String value)

      The servers default virtual host

    - #### servletContainer

          public String servletContainer()

      The servers default servlet container

    - #### servletContainer

          public T servletContainer(String value)

      The servers default servlet container

Copyright © 2018 JBoss by Red Hat. All rights reserved.